searchData={"items":[{"type":"module","title":"MoxInject","doc":"Maps between modules, the behaviours they implement, and the modules which\nare substituted for them in the test environment.\n\n    use MoxInject do\n      alias MODULE, as: @ATTR\n      ...\n    end\n\nThis will assign each dependency, or its test substitute, to the given module\nattribute.\n\nWe usually prefer to use the alias from `MoxInject` as that has our\nmocked functions. However, if we need to use the module as a type such as in\nspecs, default arguments and new structures, we need to use the original alias.\n\nIn this case, we can have two aliases for the same module in the same file,\none is used for the type references and the other is used for the mocked\nfunction calls. For instance, we can have the following:\n\n    alias Phoenix.LiveView.JS\n\n    use MoxInject do\n      alias Phoenix.LiveView.JS, as: @js\n    end\n\n    defp hide_modal(js \\ %JS{}, selector) do\n      js\n      |> @js.hide(...)\n    end","ref":"MoxInject.html"},{"type":"function","title":"MoxInject.modules_and_behaviours/0","doc":"","ref":"MoxInject.html#modules_and_behaviours/0"},{"type":"module","title":"MoxInject.Test","doc":"Functions invoked during test setup.","ref":"MoxInject.Test.html"},{"type":"function","title":"MoxInject.Test.setup_mocks/1","doc":"","ref":"MoxInject.Test.html#setup_mocks/1"}],"content_type":"text/markdown"}